MediaImages

List images

GET/media/v1/projects/{projectId}/images

Returns the images in a project.

X-API-Key<token>

In: header

Path Parameters

projectId*string

Project ID

Response Body

200application/json

OK

type: object

images?array<object>
created_at?string
format?string
height?integer
id?string
name?string
size?integer
thumbhash?string
width?integer
401application/json

Unauthorized

type: object

code?integer

HTTP status code

details?string

Optional details about the error

error?string

Error message describing what went wrong

curl -X GET "https://api.rixl.com/media/v1/projects/string/images"
fetch("https://api.rixl.com/media/v1/projects/string/images", {
  method: "GET"
})
package main

import (
  "fmt"
  "net/http"
  "io/ioutil"
)

func main() {
  url := "https://api.rixl.com/media/v1/projects/string/images"

  req, _ := http.NewRequest("GET", url, nil)

  res, _ := http.DefaultClient.Do(req)
  defer res.Body.Close()
  body, _ := ioutil.ReadAll(res.Body)

  fmt.Println(res)
  fmt.Println(string(body))
}
import requests

url = "https://api.rixl.com/media/v1/projects/string/images"

response = requests.request("GET", url)

print(response.text)
import java.net.URI;
import java.net.http.HttpClient;
import java.net.http.HttpRequest;
import java.net.http.HttpResponse;
import java.net.http.HttpResponse.BodyHandlers;
import java.time.Duration;

HttpClient client = HttpClient.newBuilder()
  .connectTimeout(Duration.ofSeconds(10))
  .build();

HttpRequest.Builder requestBuilder = HttpRequest.newBuilder()
  .uri(URI.create("https://api.rixl.com/media/v1/projects/string/images"))
  .GET()
  .build();

try {
  HttpResponse<String> response = client.send(requestBuilder.build(), BodyHandlers.ofString());
  System.out.println("Status code: " + response.statusCode());
  System.out.println("Response body: " + response.body());
} catch (Exception e) {
  e.printStackTrace();
}
using System;
using System.Net.Http;
using System.Text;

var client = new HttpClient();
var response = await client.GetAsync("https://api.rixl.com/media/v1/projects/string/images");
var responseBody = await response.Content.ReadAsStringAsync();

OK

application/json

{
  "images": [
    {
      "created_at": "string",
      "format": "string",
      "height": 0,
      "id": "string",
      "name": "string",
      "size": 0,
      "thumbhash": "string",
      "width": 0
    }
  ]
}

Unauthorized

application/json

{
  "code": 401,
  "details": "The provided ID is not valid",
  "error": "Unauthorized"
}